<template>
  <div ref="video" id="video" style="margin:0 auto;"></div>
</template>

<script>
  export default {
    data(){
      return{}
    },
    props:[
      'src'
    ],
    methods:{
      init(){
        var flashvars = {
          container: '#video',//“#”代表容器的ID，“.”或“”代表容器的class
          variable: 'player',//该属性必需设置，值等于下面的new chplayer()的对象
          video:this.src+''//视频地址
        };
        var player=new ckplayer(flashvars);
      }
    },
    mounted() {

      this.init();

    },
  }
</script>

<style scoped>

</style>
